/*******************************************************************************
 * Copyright 2013 2Fi Business Solutions Ltd.
 *
 * This code is part of the PCS project.
 *
 * This code is copyrighted. Under no circumstances should any party, people,
 * or organization should redistribute any portions of this code in any form,
 * either verbatim or through electronic media, to any third parties, unless
 * under explicit written permission by 2Fi Business Solutions Ltd.
 ******************************************************************************/
package com.ffii.tbms.order;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ffii.core.BaseEntity;

@Entity
@Table(name = "payment")
public class Payment extends BaseEntity<Integer> {

	public static final String TYPE_OTHER = "Other";
	public static final String TYPE_AE = "AE";
	public static final String TYPE_CASH = "Cash"; 
	public static final String TYPE_CHEQUE = "Cheque"; 
	public static final String TYPE_CHQ = "Chq";
	public static final String TYPE_CUP = "Cup"; 
	public static final String TYPE_MASTER = "Master"; 
	public static final String TYPE_VISA = "Visa";

	private static final long serialVersionUID = -9086502074352482840L;

	@Column(columnDefinition = "int(11)")
	private Integer orderId;

	@Column(columnDefinition = "date")
	private Date date;

	@Column(columnDefinition = "decimal(18,4)")
	private BigDecimal amount;

	@Column(columnDefinition = "varchar(30)")
	private String method;

	@Column(columnDefinition = "varchar(255)")
	private String refNo;

	public Payment() {
	}

	public Integer getOrderId() {
		return orderId;
	}

	public void setOrderId(Integer orderId) {
		this.orderId = orderId;
	}

	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}

	public String getRefNo() {
		return refNo;
	}

	public void setRefNo(String refNo) {
		this.refNo = refNo;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

}
